function doCommand(command)
{
	lprint('command: ' + command);
	var result = runCommand(command);
	lprint('result:  ' + result);
	return result;
}

function escapePath(path) { return path.replace(/([\W])/g,'\\$1'); }

// calls used only on the Macintosh - never have been in Unix Utils
function getFileInfo(path) { return doCommand('file ' + escapePath(path)); }

function doScript(script, timeout)
{
	sprint('script:  ' + script);
	lprint('timeout: ' + timeout);
	var result = appleScript(script, timeout);
	lprint('result:  ' + result);
	if (result.indexOf("AppleScript Error") >= 0)
	{
		eprint(result);
		beep();
		alert(result);
	}
	return result;
}
